package LATMOS::Accounts::Web::Controller::Summary::Expire;
use Moose;
use namespace::autoclean;

BEGIN { extends 'Catalyst::Controller'; }

=head1 NAME

LATMOS::Accounts::Web::Controller::Expire - Catalyst Controller

=head1 DESCRIPTION

Catalyst Controller.

=head1 METHODS

=cut


=head2 index

=cut

sub index :Path :Args(0) {
    my ( $self, $c ) = @_;

        my $base = $c->model('Accounts')->db;

        my $users = $base->fetchObjectInfo(
            'user',
            [ qw(sn givenName description expire contratType) ],
            'active=1', 'expire=*',
        );


        my %list = ();
        foreach (keys %$users) {
            my $ex = $users->{$_}->{expire}->[0] or next;
            push(@{ $list{$ex} }, $users->{$_});
        }

        $c->stash->{expirelist} = \%list;
}



=encoding utf8

=head1 AUTHOR

Olivier Thauvin,Guyancourt - B1428,+33 1 80285052,

=head1 LICENSE

This library is free software. You can redistribute it and/or modify
it under the same terms as Perl itself.

=cut

__PACKAGE__->meta->make_immutable;

1;
